﻿namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc.Integer {
  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class IntegerErcOptions : ErcOption<int> {
    public IntegerErcOptions() { }
    public IntegerErcOptions(params WeightedErcItem<int>[] values) : base(true, values) { }
    public IntegerErcOptions(bool isEnabled, params WeightedErcItem<int>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    protected IntegerErcOptions(bool deserializing) : base(deserializing) { }

    public IntegerErcOptions(IntegerErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new IntegerErcOptions(this, cloner);
    }
    public override string ToString() {
      return "Integer";
    }
  }
}
